#ar-image-frame {
	width: 100dvw;
	height: 100dvh;
	pointer-events: none;
	z-index: 2;
	position:absolute;
}

.a-enter-vr-button {
	display: none !important;
}
.jsgif {
	display: none;
}

#bottom-area {
	visibility: hidden;
	position: fixed;
	background: transparent;
	z-index: 1001;
	overflow: hidden;
	display: flex;
	justify-content: center;
	align-items: center;
}

@media screen and (orientation: portrait) {
	#button-screenshot {
		width: 18dvw;
		aspect-ratio: 1;
	}
	#bottom-area {
		bottom: 0;
		right: 0;
		width: 100dvw;
		height: 25dvh;
	}
}

/* Màn hình ngang (landscape) */
@media screen and (orientation: landscape) {
	#button-screenshot {
		height: 20dvh;
		aspect-ratio: 1;
	}
	#bottom-area {
		top: 0;
		right: 0;
		width: 25dvw;
		height: 100dvh;
	}
}
#debug-area {
	width: 100dvw;
	height: 50dvh;
	position: absolute;
	left: 0;
	bottom: 0;
	overflow-y:auto;
	background-color: rgba(255, 0, 0, 0.5);
	z-index:99;
}

#debug-log {
	height: 100%;
	width: 100%;
	display: block;
	overflow-y: auto; 
}

#unmute-area {
	position: fixed;
	top: 16px;
	left: 16px;
	z-index: 1002;
}

#unmute-area.hidden {
	display: none;
}

#unmute-area #button-unmute {
	font-size: 13.5px;
	font-family: 'Roboto', sans-serif;
	position: relative;
	top: 0;
	left: 0;
	pointer-events: auto;
	cursor: pointer;
}

/* Unmute button (AR scope) */
.ar-unmute-button {
	position: relative;
	background-color: rgba(204, 204, 204, 0.8);
	border-radius: 4px;
	padding: 5px 5px;
	display: flex;
	align-items: center;
	cursor: pointer;
	pointer-events: auto;
	z-index: 3;
	box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.6);
}

.ar-unmute-icon {
	height: 16px;
	margin-right: 5px;
}

.ar-unmute-text span {
	color: black;
}